## org.apache.commons.configuration.plist
Class PropertyListParserTokenManager

    java.lang.Object
      org.apache.commons.configuration.plist.PropertyListParserTokenManager

All Implemented Interfaces:
  PropertyListParserConstants

    public class PropertyListParserTokenManager

extends Object
implements PropertyListParserConstants

Token Manager.

Field Summary
`protected char` `curChar`
`PrintStream` `debugStream` Debug output.
`protected SimpleCharStream` `input_stream`
`static String[]` `jjstrLiteralImages` Token literal values.
`static String[]` `lexStateNames` Lexer state names.

Fields inherited from interface org.apache.commons.configuration.plist.PropertyListParserConstants
`ARRAY_BEGIN, ARRAY_END, ARRAY_SEPARATOR, DATA, DATA_END, DATA_START, DATE, DATE_START, DEFAULT, DICT_BEGIN, DICT_END, DICT_SEPARATOR, EOF, EQUAL, ESCAPED_QUOTE, HEXA, LETTER, QUOTE, QUOTED_STRING, STRING, tokenImage, WHITE`

Constructor Summary
`PropertyListParserTokenManager(SimpleCharStream stream)` Constructor.
`PropertyListParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`Token` `getNextToken()` Get the next Token.
`protected Token` `jjFillToken()`
`void` `ReInit(SimpleCharStream stream)` Reinitialise parser.
`void` `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`void` `setDebugStream(PrintStream ds)` Set debug output.
`void` `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final String[] lexStateNames

  Lexer state names.

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### PropertyListParserTokenManager

    public PropertyListParserTokenManager(SimpleCharStream stream)

  Constructor.

### PropertyListParserTokenManager

    public PropertyListParserTokenManager(SimpleCharStream stream,
                                          int lexState)

  Constructor.

Method Detail

### setDebugStream

    public void setDebugStream(PrintStream ds)

  Set debug output.

### ReInit

    public void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

  Reinitialise parser.

### SwitchTo

    public void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

  Get the next Token.

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.